package com.caimei365.manager.service.caimei;

import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.ReceiptPermission;
import com.caimei365.manager.entity.caimei.ReceiptUser;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/2/23
 */
public interface ReceiptUserService {
    /**
     * 获取收款用户列表
     */
    ResponseJson<List<ReceiptUser>> getReceiptUsers();

    /**
     * 获取收款权限列表
     */
    ResponseJson<List<ReceiptPermission>> getReceiptPermissions();

    /**
     * 根据ID获取收款用户
     * @param id 收款用户Id
     */
    ResponseJson<ReceiptUser> getReceiptUser(Integer id);

    /**
     * 添加收款用户
     */
    ResponseJson<Void> addReceiptUser(ReceiptUser receiptUser);

    /**
     * 根据ID更新用户
     * @param id 收款用户Id
     */
    ResponseJson<Void> updateReceiptUser(Integer id, ReceiptUser receiptUser);

    /**
     * 根据ID删除收款用户
     */
    ResponseJson<Void> deleteReceiptUser(Integer id);

}
